## asmotor-1.0.4.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

project(ASMotor)

include (ucm.cmake)

set (CMAKE_C_STANDARD 99)

if(MSVC)
  add_compile_options(/W3 /WX /wd4068 /D_CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES=1)
else(MSVC)
  add_compile_options(-Wall -Wextra -pedantic -Werror -Wno-unused-parameter)
endif(MSVC)

ucm_set_runtime (STATIC)

add_definitions(-DASMOTOR_VERSION="${ASMOTOR_VERSION}")

include_directories ("${PROJECT_SOURCE_DIR}/util")

add_subdirectory (util)
add_subdirectory (xasm)
add_subdirectory (xlib)
add_subdirectory (xlink)

=== xasm/CMakeLists.txt ===
include_directories ("${PROJECT_SOURCE_DIR}/xasm/common")

add_subdirectory (common)
add_subdirectory (dcpu-16)
add_subdirectory (6502)
add_subdirectory (680x0)
add_subdirectory (z80)
add_subdirectory (mips)
add_subdirectory (schip)

=== xlink/CMakeLists.txt ===
add_executable (xlink
    amiga.c
    amiga.h
    assign.c
    assign.h
    commodore.c
    commodore.h
    gameboy.c
    gameboy.h
    group.c
    group.h
    image.c
    image.h
    main.c
    mapfile.c
    mapfile.h
    object.c
    object.h
    patch.c
    patch.h
    section.c
    section.h
    sega.c
    sega.h
    smart.c
    smart.h
    symbol.h
    xlink.h)

target_link_libraries (xlink util)

if(NOT MSVC)
    target_link_libraries (xlink m)
endif(NOT MSVC)

install (TARGETS xlink CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== xasm/6502/CMakeLists.txt ===
add_executable (motor6502
    x65_errors.c
    x65_errors.h
    x65_main.c
    x65_options.c
    x65_options.h
    x65_parse_addrmode.c
    x65_parse_instr.c
    x65_parse.c
    x65_parse.h
    x65_symbols.c
    x65_tokens.c
    x65_tokens.h
    )

target_link_libraries (motor6502 xasm util)

if(NOT MSVC)
    target_link_libraries (motor6502 m)
endif(NOT MSVC)

install (TARGETS motor6502 CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== xasm/680x0/CMakeLists.txt ===
add_executable (motor68k
    m68k_errors.c
    m68k_errors.h
    m68k_options.c
    m68k_options.h
    m68k_main.c
    m68k_parse.c
    m68k_parse_addrmode.c
    m68k_parse_directive.c
    m68k_parse_fpu.c
    m68k_parse_integer.c
    m68k_symbols.c
    m68k_tokens.c
    m68k_tokens.h
    )

target_link_libraries (motor68k xasm util)

if(NOT MSVC)
    target_link_libraries (motor68k m)
endif(NOT MSVC)

install (TARGETS motor68k CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== xasm/common/CMakeLists.txt ===
add_library (xasm 
    amigaobject.c
    amigaobject.h
    binaryobject.c
    binaryobject.h
    dependency.c
    dependency.h
    errors.c
    errors.h
    expression.c
    expression.h
    filestack.c
    filestack.h
    lexer.c
    lexer.h
    lexer_constants.c
    lexer_constants.h
    lexer_variadics.c
    lexer_variadics.h
    linemap.c
    linemap.h
    object.c
    object.h
    options.c
    options.h
    parse.c
    parse.h
    parse_block.c
    parse_block.h
    parse_directive.c
    parse_directive.h
    parse_expression.c
    parse_expression.h
    parse_string.c
    parse_string.h
    parse_symbol.c
    parse_symbol.h
    patch.c
    patch.h
    section.c
    section.h
    symbol.c
    symbol.h
    tokens.c
    tokens.h
    xasm.c
    xasm.h)

=== xasm/dcpu-16/CMakeLists.txt ===
add_executable (motordcpu16
    dcpu16_errors.c
    dcpu16_errors.h
    dcpu16_options.c
    dcpu16_options.h
    dcpu16_parse.c
    dcpu16_parse.h
    dcpu16_symbols.c
    dcpu16_symbols.h
    dcpu16_tokens.c
    dcpu16_tokens.h
    dcpu16_main.c)

target_link_libraries (motordcpu16 xasm util)

if(NOT MSVC)
    target_link_libraries (motordcpu16 m)
endif(NOT MSVC)

install (TARGETS motordcpu16 CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== xasm/mips/CMakeLists.txt ===
add_executable (motormips
    mips_errors.c
    mips_errors.h
    mips_main.c
    mips_options.c
    mips_options.h
    mips_parse_instr.c
    mips_parse.c
    mips_symbols.c
    mips_symbols.h
    mips_tokens.c
    mips_tokens.h
    )

target_link_libraries (motormips xasm util)

if(NOT MSVC)
    target_link_libraries (motormips m)
endif(NOT MSVC)

install (TARGETS motormips CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== xasm/schip/CMakeLists.txt ===
add_executable (motorschip 
    schip_error.c
    schip_error.h
    schip_main.c
    schip_options.c
    schip_options.h
    schip_parse_instr.c
    schip_parse.c
    schip_parse.h
    schip_symbols.c
    schip_symbols.h
    schip_tokens.c
    schip_tokens.h
    )

target_link_libraries (motorschip xasm util)

if(NOT MSVC)
    target_link_libraries (motorschip m)
endif(NOT MSVC)

install (TARGETS motorschip CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== xasm/z80/CMakeLists.txt ===
add_executable(motorz80
        z80_errors.c
        z80_errors.h
        z80_main.c
        z80_options.c
        z80_options.h
        z80_parse.c
        z80_parse.h
        z80_symbols.c
        z80_symbols.h
        z80_tokens.c
        z80_tokens.h
        )

target_link_libraries(motorz80 xasm util)

if(NOT MSVC)
    target_link_libraries (motorz80 m)
endif(NOT MSVC)

install (TARGETS motorz80 CONFIGURATIONS Release RUNTIME DESTINATION bin)

=== build/MacPorts/devel/asmotor/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 73471 2010-11-14 21:24:08Z ryandesign@macports.org $

PortSystem          1.0

PortGroup           cmake 1.0
cmake.out_of_source yes

PortGroup           github 1.0
github.setup        asmotor asmotor 0.9.0

fetch.type          git
post-fetch {
    system -W ${worksrcpath} "git submodule update --init"
}

categories          devel
platforms           darwin
license             GPL-3

maintainers         gmail.com:csoren

description         A cross assembler, linker and librarian for several CPUs.

long_description    ASMotor is a portable and generic assembler engine and \
                    development system written in ANSI C. The package \
                    consists of the assembler, the librarian and the linker. \
                    It can be used as either a cross or native development \
                    system. The assembler syntax is based on the A68k style \
                    macro language. Currently supported CPUs are the 680x0 \
                    family, 6502, MIPS32, SChip/Chip-8, DCPU-16, Z80 and \
                    Gameboy.

homepage            https://github.com/asmotor/asmotor
